ots(1)

NAME
ots - Open Text Summarizer

SYNOPSIS
ots [OPTIONS] [file.txt | stdin]

DESCRIPTION
The Open Text Summarizer is an open source tool for summarizing texts. The program reads a text and decides which sentences are important and which are not. OTS will create a short summary or will highlight the main ideas in the text.

OTS is both a library and a command line tool. Word processors such as AbiWord and KWord can link to the library and summarize documents while the command line tool lets you summarize text on the console. The program can either print the summarized text as text or HTML. If in HTML, the important sentences are highlighted.

OPTIONS

-?, --help
    Show help options.

-v, --version
    Show version information.

-r, --ratio=INT
    Summarization INT % [default = 20%].

-o, --out=FILE
    Output FILE [default = stdout].

-a, --about
    Only output the summary.

-h, --html
    Output as html.

EXAMPLES
Summarize the article from the Sacramento Bee and highlight the 20% of sentences most important to the content of the article:

        $ ots --ratio 20 --html articles/sacbee1.txt

Print sentences most important of the article:

        $ ots -a big_article.txt

AUTHORS
ots was written by Nadav Rotem <nadav256@hotmail.com>.

This manual page was written by Luis Paulo Linares <lpfllinares@gmail.com> for the Debian project (but may be used by others).